I'm still on 2.1 Firmware, and nothing in the appstore is working.

Discussion in 'iPod touch' started by Noise..., Feb 6, 2009.

  1. Noise...

    Noise... Banned

    Joined:
    Dec 21, 2008
    Messages:
    421
    Likes Received:
    1
    Device:
    3G iPod touch
    So, as days go by, my apps are getting updated, and no longer working on 2.1 - requiring the newer firmware.

    Now, I jailbroke the day 2.1 came out. I have a ton of jailbroken apps, as well as all of my ROMs, music, and videos. Obviously, I'm on a 1G.

    Is it worth it to upgrade to 2.2, or have I just had a bit of bad luck with some of my apps no longer supporting 2.1?
  2. dingle cog

    dingle cog New Member

    Joined:
    Dec 7, 2008
    Messages:
    164
    Likes Received:
    0
    Device:
    iPhone 3GS (Black)
    update to 2.2.1 its better
  3. 1YNQMWQVHZ

    1YNQMWQVHZ Active Member

    Joined:
    Dec 17, 2008
    Messages:
    1,334
    Likes Received:
    0
    Yeah, upgrade to 2.2...
    Oh no, well..... If you are going to, then 2.2.1!

    Please Register or Log in to view images

  4. wilts

    wilts New Member

    Joined:
    Jan 18, 2008
    Messages:
    201
    Likes Received:
    0
    Device:
    iPod touch
    if you can't download the new firmware
    get a j/b app called FWChanger off cydia
    you can fool the app store into thinking you have 2.2.1 or whatever
    that's what i used when my internet on my pc broke and i couldn't update from 2.0.2

Share This Page